package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.FumaoUserInfo;
import com.neusoft.smart.pos.payment.persistent.domain.FumaoUserInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FumaoUserInfoMapper {
    int countByExample(FumaoUserInfoExample example);

    int deleteByExample(FumaoUserInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(FumaoUserInfo record);

    int insertSelective(FumaoUserInfo record);

    List<FumaoUserInfo> selectByExample(FumaoUserInfoExample example);

    FumaoUserInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") FumaoUserInfo record, @Param("example") FumaoUserInfoExample example);

    int updateByExample(@Param("record") FumaoUserInfo record, @Param("example") FumaoUserInfoExample example);

    int updateByPrimaryKeySelective(FumaoUserInfo record);

    int updateByPrimaryKey(FumaoUserInfo record);

    void batchInsert(@Param("items") List<FumaoUserInfo> items);
}